org.jedit.migration

## Class KeymapMigration

- java.lang.Object
- - org.jedit.migration.KeymapMigration

All Implemented Interfaces:
  MigrationService

    public class KeymapMigration
    extends java.lang.Object
    implements MigrationService

Extracts, removes the shortcuts from jEdit 4.5 properties, and places them into the "imported" keymap.

### Constructor Summary

Constructors
Constructor and Description
`KeymapMigration()`

### Method Summary

Methods
`void` `migrate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeymapMigration

    public KeymapMigration()

### Method Detail

#### migrate

    public void migrate()

Specified by:
  `migrate` in interface `MigrationService`